Gmagick::blurimage
Gmagick::charcoalimage
Gmagick
PHP Manual

# Gmagick::borderimage

Surrounds the image with a border

### Description

public Gmagick Gmagick::borderimage ( GmagickPixel `$color` , int `$width` , int `$height` )

Surrounds the image with a border of the color defined by the bordercolor GmagickPixel object or a color string.

### Parameters

`color`

  GmagickPixel object or a string containing the border color

`width`

  Border width

`height`

  Border height

### Return Values

The Gmagick object with border defined

### Errors/Exceptions

Throws an GmagickException on error.